program EricPCC;

{$mode objfpc}{$H+}

uses

  SysUtils,
  Classes,
  DateUtils,
  unEricAnalysis;

var
  ruleObj: THWanalysis;
  d1:TDateTime;
  InputPath:String;
  WorkPath:string;

begin
    try
      d1:=Now();
      MyWrite(FormatDateTime('YYYY-MM-DD HH:NN:SS.zzz',d1));
      MyWrite('开始Lazarus单线程');
      Flush(Output);
      SetMultibyteConversionCodePage(936);
      InputPath:=IncludeTrailingPathDelimiter(ParamStr(1));
      WorkPath:=IncludeTrailingPathDelimiter(ParamStr(2));
      ruleObj := THWanalysis.Create(InputPath,WorkPath);
      ruleObj.Execute;
      FreeAndNil(ruleObj);
      MyWrite(Format('时长: %1.2f 秒',[Double(MilliSecondsBetween(Now(),d1)) /1000]));
      MyWrite(FormatDateTime('YYYY-MM-DD HH:NN:SS.zzz',Now()));
    except
      on e: exception do
      begin
        MyWrite(e.Message);
      end;
    end;
end.
