unit unEricAnalysis;
interface
uses
		Classes,SysUtils,
    SyncObjs,Math,
    System.Threading,
    System.Generics.Collections,
    unEricThread;
var
    FThreadList:TObjectList<TEricThread>;
    FParseItemList:TStringList;
    Ftasks: array of ITask;

//    oFileSubs:TextFile;
//    oBufSubs: array[1..16*1024] of AnsiChar;
//    oFileBad:TextFile;
//    oBufBad: array[1..16*1024] of AnsiChar;
//    oFileIgn:TextFile;
//    oBufIgn: array[1..16*1024] of AnsiChar;

    CSConsole:TCriticalSection;
//    FFLockBad: TCriticalSection;
//    FFLockIgnore: TCriticalSection;
//    FFLockOut: TCriticalSection;
type
    TParseAna   =   class
    private
      ParseCfg:TStringList;
      oCountMain:Integer;
      fWorkPath:string;
      fInPath:string;
      ifDataDate:Boolean;

    public
      constructor Create(InPath:string;WorkPath:string);
      destructor  Destroy;override;
      procedure   Execute();
end;
implementation

constructor TParseAna.Create(InPath:string;WorkPath:string);
begin
    CSConsole:=TCriticalSection.Create;
//    FFLockBad:=TCriticalSection.Create;
//    FFLockIgnore:=TCriticalSection.Create;
//    FFLockOut:=TCriticalSection.Create;
    fInPath:=InPath;
    //TheQueue:=TThreadedQueue<String>.Create(655350,INFINITE,1);
    fWorkPath:=WorkPath;
    ifDataDate:=false;
end;

destructor TParseAna.Destroy;
begin
  inherited;
  CSConsole.Free;
//  FFLockBad.Free;
//  FFLockIgnore.Free;
//  FFLockOut.Free;
end;

procedure TParseAna.Execute;
var
  ASerch:TSearchRec;
  i:Integer;
begin
  oCountMain:=0;

  FThreadList:=TObjectList<TEricThread>.Create(true);
  FParseItemList:=TStringList.Create;

//  AssignFile(oFileSubs,IncludeTrailingPathDelimiter(fWorkPath)+'subs.txt');
//  Rewrite(oFileSubs);
//  SetTextBuf(oFileSubs,oBufSubs);
//
//  AssignFile(oFileBad,IncludeTrailingPathDelimiter(fWorkPath)+'DataBad.txt');
//  Rewrite(oFileBad);
//  SetTextBuf(oFileBad,oBufBad);
//
//  AssignFile(oFileIgn,IncludeTrailingPathDelimiter(fWorkPath)+'DataIgnored.txt');
//  Rewrite(oFileIgn);
//  SetTextBuf(oFileIgn,oBufIgn);

  ParseCfg:=TStringlist.Create;
  if FindFirst(fInPath+'*.*', faReadOnly + faHidden, ASerch) = 0 then
  begin
    repeat
      FParseItemList.Add(fInPath+ASerch.Name);
    until FindNext(ASerch) <> 0;
    FindClose(ASerch);
  end;

  setlength(Ftasks,FParseItemList.Count);
  //setlength(Ftasks,1); //Single Threading Test
  for i := 0 to FParseItemList.Count-1 do
  begin
      FThreadList.Add(TEricThread.Create(i,FParseItemList[i]));
      FThreadList[i].Execute;
      //TTask.WaitForAll(Ftasks); //Single Threading Test
  end;
  TTask.WaitForAll(Ftasks);

  for i := FParseItemList.Count-1 downto 0 do
  begin
    if FThreadList[i].FCount <0 then
    begin
      raise Exception.Create('г˴!');
    end
    else
    begin
      oCountMain:=oCountMain+FThreadList[i].FCount;
    end;
  end;

  for i := FParseItemList.Count-1 downto 0 do
  begin
    FThreadList.Delete(i);
  end;

//  CloseFile(oFileIgn);
//  CloseFile(oFileBad);
//  CloseFile(oFileSubs);

  ParseCfg.Add('subs='+IntToStr(oCountMain));
  ParseCfg.SaveToFile(IncludeTrailingPathDelimiter(fWorkPath)+'Parse.Cfg',TEncoding.GetEncoding('GBK'));
  WriteLn('SUBS'+IntToStr(oCountMain)+'');
  WriteLn('ɹ');
  FreeAndNil(ParseCfg);
  FreeAndNil(FParseItemList);
  FreeAndNil(FThreadList);
end;
end.
